* {
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
  font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
}

body {
  margin: 0;
}

input,
p {
  font-size: 16px;
}

p {
  margin: 0;
}

span {
  font-size: 14px;
}

main {
  display: flex;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background-color: #fcfcfc;
}

.new__bot-wrapper {
  display: block;
  position: relative;
  width: 400px;
  max-height: 90%;
  padding: 16px 32px;
  border-radius: 5px;
  box-shadow: 0 2px 15px rgba(0, 0, 0, 0.2), 0 2px 30px rgba(0, 0, 0, 0.1);
  overflow: auto;
}

/*===============
Form Title
===============*/

.modal__header-title-text {
  text-align: center;
  color: #5e3c58;
}

/*===============
Form Progress
===============*/

.modal__header-breadcrumbs {
  display: flex;
  padding: 0;
  margin: 0 auto;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: center;
  list-style: none;
}

.modal__header-breadcrumbs .modal__header-breadcrumbs__item {
  display: inline-block;
  position: relative;
}

.modal__header-breadcrumbs .modal__header-breadcrumbs__item:not(:last-child) {
  padding-right: 32px;
  margin-right: 12px;
}

.modal__header-breadcrumbs
  .modal__header-breadcrumbs__item:not(:last-child):after {
  position: absolute;
  width: 20px;
  height: 20px;
  text-align: center;
  top: 50%;
  transform: translateY(-50%);
  right: 0;
  content: "›";
}

.modal__header-breadcrumbs .modal__header-breadcrumbs__element {
  width: 36px;
  height: 36px;
  padding: 8px;
  font-size: 16px;
  border-radius: 50%;
  border: 2px solid #2e4045;
  color: #2e4045;
  text-align: center;
  transition: all 0.3s;
}

.modal__header-breadcrumbs
  .modal__header-breadcrumbs__element.modal__header-breadcrumbs__element--active {
  background: #2e4045;
  color: white;
}

/*===============
Form Input Fields
===============*/
.single-input-box {
  border: none;
  padding: 16px 0;
  margin: 0;
  transition: all 0.3s;
}

.single-input-box input,
.single-input-box label,
.single-input-box {
  display: block;
}

.single-input-box input {
  width: 100%;
  height: 32px;
  margin: 4px 0 16px;
}

.single-input-box input[type="text"],
.single-input-box input[type="email"],
.single-input-box input[type="number"] {
  padding: 4px 8px;
  outline: none;
  border: none;
  background-color: #efefef;
  transition: all 0.3s;
}

.single-input-box input[type="text"]:hover,
.single-input-box input[type="email"]:hover,
.single-input-box input[type="number"]:hover {
  opacity: 0.7;
}

.single-input-box input[type="text"]:focus,
.single-input-box input[type="email"]:focus,
.single-input-box input[type="number"]:focus {
  box-shadow: inset 0 1px 4px rgba(0, 0, 0, 0.2);
  opacity: 0.7;
}

.single-input-box .fw__inputs__label {
  display: block;
  padding: 0 8px;
  color: #bfb5b2;
  font-size: 12px;
  text-transform: uppercase;
}

.single-input-box .fw__inputs__label.fw__inputs__label--inline {
  display: inline-block;
}

.single-input-box .fw__inputs__selector {
  display: inline-block;
  min-width: 160px;
  height: 32px;
  padding: 4px 8px;
  margin-bottom: 16px;
  border: none;
  color: #bfb5b2;
  background-color: #efefef;
  -webkit-appearance: unset;
  cursor: pointer;
  transition: all 0.3s;
  outline: none;
}

.single-input-box .fw__inputs__selector:hover {
  opacity: 0.7;
}

/*===============
Results
===============*/

.modal__body-result {
  transition: all 0.3s;
}

.modal__body-result__title {
  text-align: center;
  color: #5e3c58;
}

.modal__body-result__item {
  display: block;
  width: 100%;
  margin: 16px 0;
}

.modal__body-result__label {
  display: block;
  margin-bottom: 4px;
  color: #2e4045;
}

.modal__body-result__value {
  display: block;
  color: #83adb5;
  word-wrap: break-word;
}

.modal__body-result__button {
  width: 100%;
  height: 40px;
}

/*===============
Icons
===============*/
.done {
  display: inline-block;
  transform: rotate(45deg);
  height: 12px;
  width: 6px;
  border-bottom: 4px solid lightgreen;
  border-right: 4px solid lightgreen;
}

/*===============
Components
===============*/
.modal__body-button {
  color: white;
  background-color: #83adb5;
  opacity: 0.7;
  border: none;
  cursor: pointer;
  transition: all 0.3s;
}

.modal__body-button--negative {
  background-color: #bfb5b2;
}

.modal__body-:hover {
  opacity: 1;
}

/*===============
Helpers
===============*/
.hidden {
  display: none;
}
